# $Revision: 1.13 $, $Date: 2009/11/03 12:37:11 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SSH-Perl
Summary:	Net::SSH::Perl - Perl client Interface to SSH
Summary(pl.UTF-8):	Net::SSH::Perl - perlowy interfejs kliencki do SSH
Name:		perl-Net-SSH-Perl
Version:	1.34
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5b6d60e459707058e856c45c30e96e53
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Convert-PEM >= 0.05
BuildRequires:	perl-Crypt-DH >= 0.01
BuildRequires:	perl-Crypt-DSA >= 0.11
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Digest-SHA1 >= 2.10
BuildRequires:	perl-Math-GMP >= 1.04
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-String-CRC32 >= 1.2
%endif
Requires:	perl-Convert-PEM >= 0.05
Requires:	perl-Crypt-Blowfish
Requires:	perl-Crypt-DES
Requires:	perl-Crypt-DH >= 0.01
Requires:	perl-Crypt-DSA >= 0.11
Requires:	perl-Crypt-IDEA
Requires:	perl-Crypt-RSA
Requires:	perl-Digest-BubbleBabble
Requires:	perl-Digest-HMAC
Requires:	perl-Digest-MD5
Requires:	perl-Digest-SHA1 >= 2.10
Requires:	perl-Math-GMP >= 1.04
Requires:	perl-Math-Pari >= 2.001804
Requires:	perl-MIME-Base64
Requires:	perl-Scalar-List-Utils
Requires:	perl-String-CRC32 >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH::Perl is an all-Perl module implementing an SSH (Secure
Shell) client. It is compatible with both the SSH-1 and SSH-2
protocols.

%description -l pl.UTF-8
Net::SSH::Perl to napisany w całości w Perlu moduł implementujący
klienta SSH (Secure Shell). Jest kompatybilny z protokołami zarówno
SSH-1 jak i SSH-2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Perl::Net::SSH::Perl")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ToDo
%dir %{perl_vendorlib}/Net/SSH
%{perl_vendorlib}/Net/SSH/*.pm
%{perl_vendorlib}/Net/SSH/Perl
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SSH-Perl.spec,v $
Revision 1.13  2009/11/03 12:37:11  baggins
- rel 1

Revision 1.12  2009/11/03 12:33:38  baggins
- up to 1.34
- updated R/BR

Revision 1.11  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.9  2006/07/09 14:35:12  agaran
- up to 1.30, rel at 0.1, builds here

Revision 1.8  2006/02/23 02:50:43  agaran
- up to 1.29, rel 0.1 builds here

Revision 1.7  2005/05/30 12:09:58  petec
- up to 1.28

Revision 1.6  2004/11/03 22:30:37  paladine
- formatting

Revision 1.5  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.4  2004/08/01 22:41:07  ankry
- added missing dir, rel. 3

Revision 1.3  2004/05/23 21:20:40  ankry
- R: perl-Crypt-RSA, rel. 2

Revision 1.2  2004/05/08 12:00:26  qboosh
- pl, other fixes

Revision 1.1  2004/05/07 21:34:57  radek
- new
